package com.philisense.www.dao.impl;

import com.philisense.www.dao.AreaDAO;
import com.philisense.www.mapper.AreaMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class AreaDAOImpl implements AreaDAO {
    @Autowired
    private AreaMapper areaMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return areaMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return areaMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return areaMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return areaMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return areaMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return areaMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return areaMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return areaMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return areaMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return areaMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        areaMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        areaMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        areaMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getAreaTreeByParentid(Map<String, Object> map) {
        return areaMapper.getAreaTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getAreaTreeByLevelCode(Map<String, Object> map) {
        return areaMapper.getAreaTreeByLevelCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return areaMapper.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        areaMapper.updateBatchLevelCode(map);
    }
}
